#include <stdio.h>

#define MAXBC 127

int main()
{
  char buf[MAXBC+1];
  unsigned anno, mese, giorno, ore, minuti, secondi;

  while (gets(buf) != NULL)
  {
    /* leggo una data */
    if (sscanf (buf, "%4u%2u%2u%2u%2u%2u",
      &anno, &mese, &giorno, &ore, &minuti, &secondi) != 6)
      /* segnalo errore */
      fprintf (stderr, "errore - formato della data scorretto (%s)\n", buf);
    else
      /* stampo la data con formato diverso */
      printf ("%02u:%02u:%02u %02u/%02u/%04u\n", ore, minuti, secondi, giorno, mese, anno);
  }
}

