#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define MAXBC 132

int main (int argc, char *argv[])
{
  char buf[MAXBC+1];
  FILE *afh;
  long nr = 0;
  int xc;

  /* controllo del numero di parametri */

  if (argc !=3) {
    fprintf (stderr, "errore - uso corretto: csearch file carattere\n");
    exit (1);
  }

  /* controllo ed estrazione del carattere da ricercare */

  if (strlen(argv[2]) != 1) {
    fprintf (stderr, "errore - l'ultimo parametro deve essere un singolo carattere\n");
    exit (2);
  }
  xc = argv[2][0];

  /*  apertura del file */

  if ((afh=fopen(argv[1],"r")) == NULL) {
    fprintf (stderr, "errore - non riesco ad aprire il file '%s' in lettura\n", argv[1]);
    exit (3);
  }

  /* ricerca del carattere all'interno del file */

  while (fgets(buf,MAXBC+1,afh) != NULL)
  {
    if (strchr(buf,xc) != NULL) {
      nr++;
      printf ("%s", buf);
    }
  }

  /* presentazione del risultato */

  printf ("%d\n", nr);

  /* chiusura del file dati */
  if (fclose(afh) != 0)
    fprintf (stderr, "avviso - non riesco a chiudere il file '%s'\n", argv[1]);

  /* fine del programma */
  return 0;
}
