#include <stdio.h>
#include <ctype.h>
#include <stdlib.h>

int main ()
{
  int xc;
  const char DoppiApici = '"';
  enum {Normale, Maiuscolo} stato;

  stato = Normale;
  while ((xc=getchar()) != EOF)
  {
    if (stato == Normale)
    {
      if (xc == DoppiApici)
        stato = Maiuscolo;
      else
        putchar (xc);
    }
    else if (stato == Maiuscolo)
    {
      if (xc == DoppiApici)
        stato = Normale;
      else
        putchar ( toupper(xc) );
    }
    else
    {
      fprintf (stderr, "\nbug - stato impossibile\n");
      exit (1);
    }
  }
  return 0;
}

