#include <stdio.h>
#include <stdlib.h>

#define MAXBC 127

int main ()
{
  char buf[MAXBC+1]; /* stringa di input */
  int a, b, r; /* variabili operative per l'algoritmo di Euclide */
  int x, y; /* dati originali */

  /* richiesta di input lettura della risposta */

  printf ("Calcolo del MCD\n");
  printf ("Inserisci due numeri interi: ");

  if (gets(buf) == NULL) {
    fprintf (stderr, "errore - mancano i dati su cui operare");
    exit (1);
  }

  /* ricerca dei dati */

  if (sscanf(buf,"%d %d", &x, &y) != 2) {
    fprintf (stderr, "errore - non sono stati inseriti due numeri interi\n");
    exit (2);
  }

  /* garantiamo dividendo >= divisore */

  if (x < y) {
    a = y;
    b = x;
  }
  else {
    a = x;
    b = y;
  }

  /* algoritmo di Euclide */

  while ( (r = a % b) != 0) {
    a = b;
    b = r;
  }

  /* scrittura del risultato */

  printf ("MCD(%d,%d) = %d\n", x, y, b);

  return 0;
}
