#include <stdio.h>

#define MAXBC 127

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE (!FALSE)
#endif

#define BOOLEAN int

int main()
{
  char buf[MAXBC+1];
  int a, b, r; /* operandi e risultato */
  char op;  /* operazione */
  BOOLEAN operr; /* operazione errata? */
  BOOLEAN errori = FALSE;

  while (gets(buf) != NULL)
  {
    if ( sscanf (buf, "%d%c%d", &a, &op, &b) != 3) /* errore di input */
    {
      fprintf (stderr, "%s\n\n%s\n\n%s\n%s\n\n",
        "errore - inserire le operazioni nel formato",
        "  operando operatore operando",
        "senza introdurre spazi ed usando come operandi",
        "solo numeri interi");
      errori = TRUE;
    }
    else /* eseguo l'operazione richiesta */
    {
      operr = FALSE;
      switch (op)
      {
      case '+' :
        r = a + b;
        break;
      case '-' :
        r = a - b;
        break;
      case 'x' :
      case 'X' :
      case '*' :
        r = a * b;
        break;
      case ':' :
      case '/' :
        if (b != 0)
          r = a / b;
        else
       	{
          operr = TRUE;
          fprintf (stderr, "errore - divisione per zero (%s)\n", buf);
        }
        break;
      case '%' :
        r = a % b;
        break;
      default:
        operr = TRUE;
        fprintf (stderr, "errore - operazione sconosciuta (%s)\n", buf);
      }

      /* scrivo risultato o messaggio di errore */

      if (operr)
        errori = TRUE;
      else
        printf ("%d %c %d = %d\n\n", a, op, b, r);
    }
  }
  if (errori) return 1; else return 0;
}
