#include <stdio.h>
#include <math.h>
#include <stdlib.h>

#define MAXBC 127
#define CONV (3.1415/180)

int main ()
{
  char buf[MAXBC+1];
  int g; /* angolo in gradi */
  double r; /* angolo in radianti */

  printf ("Angolo (in gradi)? ");

  if (gets(buf) == NULL)
  {
    fprintf (stderr, "errore - fornire l'angolo\n");
    exit (1);
  }

  if (sscanf(buf,"%d",&g) != 1)
  {
    fprintf (stderr, "errore - fornire l'angolo come un numero intero\n");
    exit (2);
  }

  r = g * CONV;

  printf ("sin(%d) = %lf\n", g, sin(r));
  printf ("cos(%d) = %lf\n", g, cos(r));
  printf ("tan(%d) = %lf\n", g, tan(r));

  return 0;
}

